Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class Constants

    java.lang.Object
      |
      +--context.arch.util.Constants

public class Constants
extends java.lang.Object

This class is a helper class to keep track of constants required by the context toolkit.

Field Summary
`static java.lang.String` | `HOSTNAME` Tag for component hostname
`static java.lang.String` | `ID` Tag for component id
`static java.lang.String` | `INTERPRET` Tag for interpret request
`static java.lang.String` | `PORT` Tag for component port
`static java.lang.String` | `PUT_DATA` Tag for putting data in a widget
`static java.lang.String` | `QUERY` Tag for query request
`static java.lang.String` | `QUERY_ATTRIBUTES` Tag for query attributes request
`static java.lang.String` | `QUERY_CALLBACKS` Tag for query callbacks request
`static java.lang.String` | `QUERY_SERVICES` Tag for query services request
`static java.lang.String` | `QUERY_VERSION` Tag for query version request
`static java.lang.String` | `QUERY_VERSION_REPLY` Tag for query version request reply
`static java.lang.String` | `SPACER` Tag for a spacer between class name and id
`static java.lang.String` | `UPDATE_AND_QUERY` Tag for update and query request
`static java.lang.String` | `VERSION` Tag for component version
`static java.lang.String` | `WINCE` Indicates that the architecture being used is WinCE

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  Tag for component id

### HOSTNAME

    public static final java.lang.String HOSTNAME

  Tag for component hostname

### PORT

    public static final java.lang.String PORT

  Tag for component port

### VERSION

    public static final java.lang.String VERSION

  Tag for component version

### INTERPRET

    public static final java.lang.String INTERPRET

  Tag for interpret request

### QUERY

    public static final java.lang.String QUERY

  Tag for query request

### UPDATE_AND_QUERY

    public static final java.lang.String UPDATE_AND_QUERY

  Tag for update and query request

### QUERY_VERSION

    public static final java.lang.String QUERY_VERSION

  Tag for query version request

### QUERY_VERSION_REPLY

    public static final java.lang.String QUERY_VERSION_REPLY

  Tag for query version request reply

### QUERY_CALLBACKS

    public static final java.lang.String QUERY_CALLBACKS

  Tag for query callbacks request

### QUERY_SERVICES

    public static final java.lang.String QUERY_SERVICES

  Tag for query services request

### QUERY_ATTRIBUTES

    public static final java.lang.String QUERY_ATTRIBUTES

  Tag for query attributes request

### PUT_DATA

    public static final java.lang.String PUT_DATA

  Tag for putting data in a widget

### WINCE

    public static final java.lang.String WINCE

  Indicates that the architecture being used is WinCE

### SPACER

    public static final java.lang.String SPACER

  Tag for a spacer between class name and id

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD